twitter4j

## Interface UserStreamListener

All Superinterfaces:
  StatusListener, StreamListener

All Known Implementing Classes:
  UserStreamAdapter

    public interface UserStreamListener
    extends StatusListener

Since:
  Twitter4J 2.1.3
Author:
  yusuke at mac.com

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onBlock(User source, User blockedUser)`
`void` `onDeletionNotice(long directMessageId, long userId)`
`void` `onDirectMessage(DirectMessage directMessage)`
`void` `onFavorite(User source, User target, Status favoritedStatus)`
`void` `onFavoritedRetweet(User source, User target, Status favoritedRetweeet)`
`void` `onFollow(User source, User followedUser)`
`void` `onFriendList(long[] friendIds)`
`void` `onQuotedTweet(User source, User target, Status quotingTweet)`
`void` `onRetweetedRetweet(User source, User target, Status retweetedStatus)`
`void` `onUnblock(User source, User unblockedUser)`
`void` `onUnfavorite(User source, User target, Status unfavoritedStatus)`
`void` `onUnfollow(User source, User unfollowedUser)`
`void` `onUserDeletion(long deletedUser)`
`void` `onUserListCreation(User listOwner, UserList list)`
`void` `onUserListDeletion(User listOwner, UserList list)`
`void` `onUserListMemberAddition(User addedMember, User listOwner, UserList list)`
`void` `onUserListMemberDeletion(User deletedMember, User listOwner, UserList list)`
`void` `onUserListSubscription(User subscriber, User listOwner, UserList list)`
`void` `onUserListUnsubscription(User subscriber, User listOwner, UserList list)`
`void` `onUserListUpdate(User listOwner, UserList list)`
`void` `onUserProfileUpdate(User updatedUser)`
`void` `onUserSuspension(long suspendedUser)`

### Methods inherited from interface twitter4j.StatusListener

`onDeletionNotice, onScrubGeo, onStallWarning, onStatus, onTrackLimitationNotice`

### Methods inherited from interface twitter4j.StreamListener

`onException`

### Method Detail

#### onDeletionNotice

    void onDeletionNotice(long directMessageId,
                          long userId)

#### onFriendList

    void onFriendList(long[] friendIds)

Parameters:
  `friendIds` - friend ids
Since:
  Twitter4J 2.1.3

#### onFavorite

    void onFavorite(User source,
                    User target,
                    Status favoritedStatus)

Parameters:
  `source` - source user of the event
  `target` - target user of the event
  `favoritedStatus` - status favorited
Since:
  Twitter4J 2.1.3

#### onUnfavorite

    void onUnfavorite(User source,
                      User target,
                      Status unfavoritedStatus)

Parameters:
  `source` - source user of the event
  `target` - target user of the event
  `unfavoritedStatus` - status unfavorited
Since:
  Twitter4J 2.1.3

#### onFollow

    void onFollow(User source,
                  User followedUser)

Parameters:
  `source` - source user of the event
  `followedUser` - user followed
Since:
  Twitter4J 2.1.3

#### onUnfollow

    void onUnfollow(User source,
                    User unfollowedUser)

Parameters:
  `source` - source user of the event
  `unfollowedUser` - user unfollowed
Since:
  Twitter4J 4.0.1

#### onDirectMessage

    void onDirectMessage(DirectMessage directMessage)

Parameters:
  `directMessage` - direct message
Since:
  Twitter4J 2.1.3

#### onUserListMemberAddition

    void onUserListMemberAddition(User addedMember,
                                  User listOwner,
                                  UserList list)

Parameters:
  `addedMember` - member added
  `listOwner` - owner of the list
  `list` - the list
Since:
  Twitter4J 2.1.11

#### onUserListMemberDeletion

    void onUserListMemberDeletion(User deletedMember,
                                  User listOwner,
                                  UserList list)

Parameters:
  `deletedMember` - user deleted
  `listOwner` - owner of the list
  `list` - the list
Since:
  Twitter4J 2.1.11

#### onUserListSubscription

    void onUserListSubscription(User subscriber,
                                User listOwner,
                                UserList list)

Parameters:
  `subscriber` - the user subscribed
  `listOwner` - owner of the list
  `list` - the list
Since:
  Twitter4J 2.1.3

#### onUserListUnsubscription

    void onUserListUnsubscription(User subscriber,
                                  User listOwner,
                                  UserList list)

Parameters:
  `subscriber` - the user subscribed
  `listOwner` - owner of the list
  `list` - the list
Since:
  Twitter4J 2.1.11

#### onUserListCreation

    void onUserListCreation(User listOwner,
                            UserList list)

Parameters:
  `listOwner` - owner of the list
  `list` - the list
Since:
  Twitter4J 2.1.3

#### onUserListUpdate

    void onUserListUpdate(User listOwner,
                          UserList list)

Parameters:
  `listOwner` - owner of the list
  `list` - the list
Since:
  Twitter4J 2.1.3

#### onUserListDeletion

    void onUserListDeletion(User listOwner,
                            UserList list)

Parameters:
  `listOwner` - owner of the list
  `list` - the list
Since:
  Twitter4J 2.1.3

#### onUserProfileUpdate

    void onUserProfileUpdate(User updatedUser)

Parameters:
  `updatedUser` - updated user
Since:
  Twitter4J 2.1.9

#### onUserSuspension

    void onUserSuspension(long suspendedUser)

Parameters:
  `suspendedUser` - suspended user id
Since:
  Twitter4J 4.0.3

#### onUserDeletion

    void onUserDeletion(long deletedUser)

Parameters:
  `deletedUser` - deleted user id
Since:
  Twitter4J 4.0.3

#### onBlock

    void onBlock(User source,
                 User blockedUser)

Parameters:
  `source` - source user of the event
  `blockedUser` - the user blocked
Since:
  Twitter4J 2.1.3

#### onUnblock

    void onUnblock(User source,
                   User unblockedUser)

Parameters:
  `source` - source user of the event
  `unblockedUser` - the user unblocked
Since:
  Twitter4J 2.1.3

#### onRetweetedRetweet

    void onRetweetedRetweet(User source,
                            User target,
                            Status retweetedStatus)

Parameters:
  `source` - source user of the event
  `target` - target user of the event
  `retweetedStatus` - status retweeted retweet
Since:
  Twitter4J 4.0.4

#### onFavoritedRetweet

    void onFavoritedRetweet(User source,
                            User target,
                            Status favoritedRetweeet)

Parameters:
  `source` - source user of the event
  `target` - target user of the event
  `favoritedRetweeet` - status favorited retweet
Since:
  Twitter4J 4.0.4

#### onQuotedTweet

    void onQuotedTweet(User source,
                       User target,
                       Status quotingTweet)

Parameters:
  `source` - source user of the event
  `target` - target user of the event
  `quotingTweet` - status quoting the tweet
Since:
  Twitter4J 4.0.4